Bug 164589 - unable to conform to lsb-expect
unable to conform to lsb-expect
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: expect (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
:
Depends On:
Blocks: 145007
  Show dependency treegraph
 
Reported: 2005-07-28 19:46 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 11:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Download for Step 5 is available here (20.00 KB, application/x-tar)
2005-07-28 19:49 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2005-07-28 19:46:59 EDT
Description of problem:
Tested RHEL4's expect against lsb-python and noticed a few errors. Please see the
steps to reproduce for more details.

Version-Release number of selected component (if applicable):
expect-5.42.1-1

How reproducible:
Always

Steps to Reproduce:
1. Download the lsb-expect application package that corresponds to the LSB
version and processor architecture.
2. Install package on system. Example command line:

rpm -ivh lsb-expect-5.43.0-1.lsb3.i486.rpm

      NOTE: Application MUST be installed without use of --nodeps option
      - Expected result: application should be installed to

/opt/lsb/appbat

3. Change to /tmp directory and create a new directory called lsb-expect-tests
4. Change to the /tmp/lsb-expect-tests directory
5. Download the set of tests for expect here: expect-tests.tar
6. Run the command: tar xvf expect-tests.tar  to extract tests into
/tmp/lsb-expect-tests directory.

7. Run the command: /opt/lsb/appbat/bin/expect
8. Type source all.tcl  at the expect prompt and press ENTER 
  
Actual results:
all.tcl:        Total   25      Passed  25      Skipped 0       Failed  0
Sourced 0 Test Files.

Expected results:
all.tcl:   Total  25    Passed   25    Skipped   0    Failed   0
Sourced 7 test files.

Additional info:
The lsb-expect rpm (lsb-expect-5.43.0) can be downloaded from the following URL:
http://www.linuxbase.org/download/#app-battery
Comment 1 Lawrence Lim 2005-07-28 19:49:44 EDT
Created attachment 117256 [details]
Download for Step 5 is available here
Comment 2 Lawrence Lim 2005-08-02 11:20:23 EDT
Think this is more of LSB test suite bug than expect bug.

http://bugs.linuxbase.org/show_bug.cgi?id=1059

Closing now.



Note You need to log in before you can comment on or make changes to this bug.